declare const _default: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    classPrefix: import("@vue/composition-api").ComputedRef<string>;
    boxStyle: import("@vue/composition-api").ComputedRef<object>;
    loaded: import("@vue/composition-api").Ref<boolean>;
    error: import("@vue/composition-api").Ref<boolean>;
    mouseDownHandler: (e: MouseEvent) => void;
    placementImgStyle: import("@vue/composition-api").ComputedRef<{
        display: string;
    }>;
    imgStyle: import("@vue/composition-api").ComputedRef<{
        display: string;
    }>;
}> & import("@vue/composition-api").Data, {}, {}, {
    rotate: NumberConstructor;
    scale: NumberConstructor;
    mirror: NumberConstructor;
    src: StringConstructor;
    placementSrc: StringConstructor;
}, import("@vue/composition-api").ExtractPropTypes<{
    rotate: NumberConstructor;
    scale: NumberConstructor;
    mirror: NumberConstructor;
    src: StringConstructor;
    placementSrc: StringConstructor;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{} & {
    scale?: number;
    rotate?: number;
    mirror?: number;
    src?: string;
    placementSrc?: string;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    classPrefix: import("@vue/composition-api").ComputedRef<string>;
    boxStyle: import("@vue/composition-api").ComputedRef<object>;
    loaded: import("@vue/composition-api").Ref<boolean>;
    error: import("@vue/composition-api").Ref<boolean>;
    mouseDownHandler: (e: MouseEvent) => void;
    placementImgStyle: import("@vue/composition-api").ComputedRef<{
        display: string;
    }>;
    imgStyle: import("@vue/composition-api").ComputedRef<{
        display: string;
    }>;
}>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {} & {
    scale?: number;
    rotate?: number;
    mirror?: number;
    src?: string;
    placementSrc?: string;
}, {}, true>);
export default _default;
